ランタイム: Mix::Scene::IKineticCollider Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mix::Scene::IKineticCollider Class Referenceabstract

キネティックコライダー More...

`#include <IKineticCollider.h>`

Inheritance diagram for Mix::Scene::IKineticCollider:
[legend]
Collaboration diagram for Mix::Scene::IKineticCollider:
[legend]

## Public Member Functions

virtual Float32 | GetMass (void) const =0
| 質量を取得します More...
virtual void | SetMass (Float32 mass)=0
| 質量を設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Boolean | IsAlwaysActive (void) const =0
| 活動設定を取得します More...
virtual Boolean | SetAlwaysActive (Boolean state)=0
| 活動設定をします More...
virtual Boolean | IsActive (void) const =0
| 活動状態を取得します More...
virtual Boolean | Activate (void)=0
| 活動状態にします More...
virtual Boolean | Deactivate (Boolean bFroce=False)=0
| 非活動状態にします More...
virtual Mix::Vector3 | GetLinearFactor (void) const =0
| 移動のファクタを設定します More...
virtual void | SetLinearFactor (const Mix::Vector3 &factor)=0
| 移動のファクタを設定します More...
virtual Float32 | GetLinearDamping (void) const =0
| 移動の減衰値を取得します More...
virtual void | SetLinearDamping (Float32 damping)=0
| 移動の減衰値を設定します More...
virtual Mix::Vector3 | GetLinearVelocity (void)=0
| 移動速度を取得します More...
virtual Boolean | SetLinearVelocity (const Mix::Vector3 &velocity)=0
| 移動速度を設定します More...
virtual Float32 | GetLinearSleepingThresholds (void) const =0
| 移動を停止する速度を取得します More...
virtual void | SetLinearSleepingThresholds (Float32 thresholds)=0
| 移動を停止する速度を設定します More...
virtual Mix::Vector3 | GetAngularFactor (void) const =0
| 回転のファクタを設定します More...
virtual void | SetAngularFactor (const Mix::Vector3 &factor)=0
| 回転のファクタを設定します More...
virtual Float32 | GetAngularDamping (void) const =0
| 回転の減衰値を取得します More...
virtual void | SetAngularDamping (Float32 damping)=0
| 回転の減衰値を設定します More...
virtual Mix::Vector3 | GetAngularVelocity (void)=0
| 回転速度を取得します More...
virtual Boolean | SetAngularVelocity (const Mix::Vector3 &velocity)=0
| 回転速度を設定します More...
virtual Float32 | GetAngularSleepingThresholds (void) const =0
| 回転を停止する速度を取得します More...
virtual void | SetAngularSleepingThresholds (Float32 thresholds)=0
| 回転を停止する速度を設定します More...
virtual Boolean | ApplyLinearImpulse (const Mix::Vector3 &impulse)=0
| 移動に撃力を適用します More...
virtual Boolean | ApplyAngularImpulse (const Mix::Vector3 &impulse)=0
| 回転に撃力を適用します More...
virtual Boolean | ApplyImpulse (const Mix::Vector3 &impulse, const Mix::Vector3 &pos)=0
| 指定した位置に撃力を適用します More...
virtual Mix::Vector3 | GetTotalLinearForce (void)=0
| 移動に適用されている力を取得します More...
virtual Mix::Vector3 | GetTotalAngularForce (void)=0
| 回転に適用されている力を取得します More...
virtual Boolean | ApplyLinearForce (const Mix::Vector3 &force)=0
| 移動に力を適用します More...
virtual Boolean | ApplyAngularForce (const Mix::Vector3 &force)=0
| 回転に力を適用します More...
virtual Boolean | ApplyForce (const Mix::Vector3 &force, const Mix::Vector3 &pos)=0
| 指定した位置に力を適用します More...
virtual void | ClearForce (void)=0
| 適用されている力をクリアします More...
virtual void | ClearMotion (void)=0
| モーションをクリアします More...
virtual void | ClearMotion (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| モーションをクリアします More...
Public Member Functions inherited from Mix::Scene::ICollider
virtual Boolean | IsDefault (void) const =0
| デフォルトかどうかを取得します More...
virtual Boolean | IsStatic (void) const =0
| スタティックかどうかを取得します More...
virtual Boolean | IsKinematic (void) const =0
| キネマティックかどうかを取得します More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...
Protected Member Functions inherited from Mix::Scene::ICollider
virtual | ~ICollider (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

キネティックコライダー

## Member Function Documentation

virtual Float32 Mix::Scene::IKineticCollider::GetMass | ( | void |  | ) | const

pure virtual

質量を取得します

Returns
  質量を取得します

virtual void Mix::Scene::IKineticCollider::SetMass | ( | Float32 | mass | ) |

pure virtual

質量を設定します

Parameters

  [in] | mass | 質量( mass >= 0.0f )

virtual const Mix::Dynamics::MATERIAL& Mix::Scene::IKineticCollider::GetMaterial | ( | void |  | ) | const

pure virtual

マテリアルを取得します

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL 構造体を返します

virtual void Mix::Scene::IKineticCollider::SetMaterial | ( | const Mix::Dynamics::MATERIAL & | material | ) |

pure virtual

マテリアルを設定します

Parameters

  [in] | material | 設定するマテリアルを表す Mix::Dynamics::MATERIAL 構造体

virtual Boolean Mix::Scene::IKineticCollider::IsAlwaysActive | ( | void |  | ) | const

pure virtual

活動設定を取得します

Returns
  常に活動状態に設定されている場合は True を返します

virtual Boolean Mix::Scene::IKineticCollider::SetAlwaysActive | ( | Boolean | state | ) |

pure virtual

活動設定をします

Parameters

  [in] | state | 常に活動状態にする場合は True

Returns
  成功した場合は True を返します

Note
  ステータスが「スタティック」の場合、このメソッドは False を返します

virtual Boolean Mix::Scene::IKineticCollider::IsActive | ( | void |  | ) | const

pure virtual

活動状態を取得します

Returns
  活動状態の場合は True を返します

virtual Boolean Mix::Scene::IKineticCollider::Activate | ( | void |  | ) |

pure virtual

活動状態にします

Returns
  成功した場合は True を返します

Note
  ステータスが「スタティック」の場合、このメソッドは False を返します

virtual Boolean Mix::Scene::IKineticCollider::Deactivate | ( | Boolean | bFroce = `False` | ) |

pure virtual

非活動状態にします

Parameters

  [in] | bFroce | 強制的に非活動状態にする場合は True

Returns
  成功した場合は True を返します

Note
  ステータスが「スタティック」「キネマティック」の場合、このメソッドは False を返します

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetLinearFactor | ( | void |  | ) | const

pure virtual

移動のファクタを設定します

Returns
  移動のファクタを表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IKineticCollider::SetLinearFactor | ( | const Mix::Vector3 & | factor | ) |

pure virtual

移動のファクタを設定します

Parameters

  [in] | factor | 移動のファクタを表す Mix::Vector3 クラス

Note
  Mix::Vector3( 0.0f, 0.0f, 0.0f ) を指定すると移動しなくなります

virtual Float32 Mix::Scene::IKineticCollider::GetLinearDamping | ( | void |  | ) | const

pure virtual

移動の減衰値を取得します

Returns
  移動の減衰値を返します

virtual void Mix::Scene::IKineticCollider::SetLinearDamping | ( | Float32 | damping | ) |

pure virtual

移動の減衰値を設定します

Parameters

  [in] | damping | 移動における減衰値( 0.0f <= damping < 1.0f )

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetLinearVelocity | ( | void |  | ) |

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::IKineticCollider::SetLinearVelocity | ( | const Mix::Vector3 & | velocity | ) |

pure virtual

移動速度を設定します

Parameters

  [in] | velocity | 線形速度を表す Mix::Vector3 クラス

virtual Float32 Mix::Scene::IKineticCollider::GetLinearSleepingThresholds | ( | void |  | ) | const

pure virtual

移動を停止する速度を取得します

Returns
  移動を停止する速度を返します

virtual void Mix::Scene::IKineticCollider::SetLinearSleepingThresholds | ( | Float32 | thresholds | ) |

pure virtual

移動を停止する速度を設定します

Parameters

  [in] | thresholds | 移動を停止する速度

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetAngularFactor | ( | void |  | ) | const

pure virtual

回転のファクタを設定します

Returns
  回転のファクタを表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IKineticCollider::SetAngularFactor | ( | const Mix::Vector3 & | factor | ) |

pure virtual

回転のファクタを設定します

Parameters

  [in] | factor | 回転のファクタを表す Mix::Vector3 クラス

Note
  Mix::Vector3( 0.0f, 0.0f, 0.0f ) を設定すると回転しなくなります

virtual Float32 Mix::Scene::IKineticCollider::GetAngularDamping | ( | void |  | ) | const

pure virtual

回転の減衰値を取得します

Returns
  回転の減衰値を返します

virtual void Mix::Scene::IKineticCollider::SetAngularDamping | ( | Float32 | damping | ) |

pure virtual

回転の減衰値を設定します

Parameters

  [in] | damping | 回転運動における減衰値( 0.0f <= damping < 1.0f )

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetAngularVelocity | ( | void |  | ) |

pure virtual

回転速度を取得します

Returns
  回転速度を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::IKineticCollider::SetAngularVelocity | ( | const Mix::Vector3 & | velocity | ) |

pure virtual

回転速度を設定します

Parameters

  [in] | velocity | 回転速度を表す Mix::Vector3 クラス

virtual Float32 Mix::Scene::IKineticCollider::GetAngularSleepingThresholds | ( | void |  | ) | const

pure virtual

回転を停止する速度を取得します

Returns
  回転を停止する速度を返します

virtual void Mix::Scene::IKineticCollider::SetAngularSleepingThresholds | ( | Float32 | thresholds | ) |

pure virtual

回転を停止する速度を設定します

Parameters

  [in] | thresholds | 回転を停止する速度

virtual Boolean Mix::Scene::IKineticCollider::ApplyLinearImpulse | ( | const Mix::Vector3 & | impulse | ) |

pure virtual

移動に撃力を適用します

Parameters

  [in] | impulse | 適用する撃力を表す Mix::Vector3 クラス

virtual Boolean Mix::Scene::IKineticCollider::ApplyAngularImpulse | ( | const Mix::Vector3 & | impulse | ) |

pure virtual

回転に撃力を適用します

Parameters

  [in] | impulse | 適用する撃力を表す Mix::Vector3 クラス

virtual Boolean Mix::Scene::IKineticCollider::ApplyImpulse | ( | const Mix::Vector3 & | impulse,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

指定した位置に撃力を適用します

Parameters

  [in] | impulse | 適用する撃力を表す Mix::Vector3 クラス
  [in] | pos | 撃力を適用する位置を表す Mix::Vector3 クラス

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetTotalLinearForce | ( | void |  | ) |

pure virtual

移動に適用されている力を取得します

Returns
  力を表す Mix::Vector3 クラスを返します

virtual Mix::Vector3 Mix::Scene::IKineticCollider::GetTotalAngularForce | ( | void |  | ) |

pure virtual

回転に適用されている力を取得します

Returns
  力を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::IKineticCollider::ApplyLinearForce | ( | const Mix::Vector3 & | force | ) |

pure virtual

移動に力を適用します

Parameters

  [in] | force | 適用する力を表す Mix::Vector3 クラス

virtual Boolean Mix::Scene::IKineticCollider::ApplyAngularForce | ( | const Mix::Vector3 & | force | ) |

pure virtual

回転に力を適用します

Parameters

  [in] | force | 適用する力を表す Mix::Vector3 クラス

virtual Boolean Mix::Scene::IKineticCollider::ApplyForce | ( | const Mix::Vector3 & | force,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

指定した位置に力を適用します

Parameters

  [in] | force | 適用する力を表す Mix::Vector3 クラス
  [in] | pos | 力を適用する位置を表す Mix::Vector3 クラス

virtual void Mix::Scene::IKineticCollider::ClearForce | ( | void |  | ) |

pure virtual

適用されている力をクリアします

virtual void Mix::Scene::IKineticCollider::ClearMotion | ( | void |  | ) |

pure virtual

モーションをクリアします

Note
  全ての速度、全てのフォース、補間用パラメータをクリアします

virtual void Mix::Scene::IKineticCollider::ClearMotion | ( | const Mix::Quaternion & | rot,
|  | const Mix::Vector3 & | pos
| ) |  |

pure virtual

モーションをクリアします

Parameters

  [in] | rot | クリア後の回転を表す Mix::Quaternion クラス
  [in] | pos | クリア後の位置を表す Mix::Vector3 クラス

The documentation for this class was generated from the following file:

- Mix/Scene/IKineticCollider.h